## pytango 9.2.2

=== Makefile ===
# ------------------------------------------------------------------------------
# This file is part of PyTango (http://pytango.rtfd.io)
#
# Copyright 2006-2012 CELLS / ALBA Synchrotron, Bellaterra, Spain
# Copyright 2013-2014 European Synchrotron Radiation Facility, Grenoble, France
#
# Distributed under the terms of the GNU Lesser General Public License,
# either version 3 of the License, or (at your option) any later version.
# See LICENSE.txt for more info.
# ------------------------------------------------------------------------------

################################################################################
#                    TO BE USED BY DEVELOPERS ONLY
################################################################################

# Makefile to generate the PyTango library
# Needs the following environment variables to be defined:
# - TANGO_ROOT
# - LOG4TANGO_ROOT
# - OMNI_ROOT
# - BOOST_ROOT
# - ZMQ_ROOT
# - NUMPY_ROOT
#
# if target == install also needs: prefix=<install_dir>
# ex: make install prefix=/home/homer/.local/lib/python2.6/site-packages
#
# Optional:
# - OBJS_DIR: directory where files will be build (default: objs)
# - PY3K: if defined use python 3 boost python
# - PY_VER: use a specific python version (default is empty) (ex: 3.2)

# Build "in parallel":
# make prepare && make -j5
#
# Install "in parallel":
# make prepare && make -j5 && make install prefix=<install dir>

ifdef PY_VER
PY_EXC=python$(PY_VER)
PY_MAJOR=$(shell $(PY_EXC) -c "import sys; sys.stdout.write(str(sys.version_info[0]))")
PY_MINOR=$(shell $(PY_EXC) -c "import sys; sys.stdout.write(str(sys.version_info[1]))")
else
PY_EXC=python
PY_MAJOR=$(shell $(PY_EXC) -c "import sys; sys.stdout.write(str(sys.version_info[0]))")
PY_MINOR=$(shell $(PY_EXC) -c "import sys; sys.stdout.write(str(sys.version_info[1]))")
PY_VER=$(PY_MAJOR).$(PY_MINOR)
endif

PY_VER_S=$(PY_MAJOR)$(PY_MINOR)

ifndef NUMPY_ROOT
NUMPY_INC = -I$(shell $(PY_EXC) -c "import sys, numpy; sys.stdout.write(numpy.get_include())")
else
NUMPY_INC = -I$(NUMPY_ROOT)/include
endif

PYTANGO_NUMPY_VERSION = \"$(shell $(PY_EXC) -c "import sys, numpy; sys.stdout.write(numpy.__version__)")\"

ifndef prefix
ifdef user
_PY_DIR=$(shell $(PY_EXC) -c "import sys, os; sys.stdout.write(os.path.split(os.path.join(os.path.dirname(os.__file__)))[1])")
prefix=$(HOME)/.local/lib/$(_PY_DIR)/site-packages
else
_PY_DIR=$(shell $(PY_EXC) -c "import sys, os; sys.stdout.write(os.path.join(os.path.dirname(os.__file__)))")
prefix=$(_PY_DIR)/site-packages
endif
endif

SRC_DIR = ext

ifndef OBJS_DIR
OBJS_DIR := objs_py$(PY_VER_S)
endif

CC = gcc

PY_INC := $(shell python$(PY_VER)-config --includes)

ifdef optimize
OPTIMIZE_CC = -O2
OPTIMIZE_LN = -O2
else
OPTIMIZE_CC = -O0
OPTIMIZE_LN = -O0
endif

TANGO_CFLAGS=`pkg-config --cflags-only-other tango`
TANGO_LIBS=`pkg-config --libs-only-l tango`
BOOST_LIB = boost_python-py$(PY_VER_S)

PRE_C_H := precompiled_header.hpp
PRE_C_H_O := $(OBJS_DIR)/$(PRE_C_H).gch
PRE_C := -include$(OBJS_DIR)/$(PRE_C_H)

LN := g++ -pthread -shared -Wl,$(OPTIMIZE_LN) -Wl,-Bsymbolic-functions #-z defs
LN_STATIC := g++ -pthread -static -Wl,$(OPTIMIZE_LN) -Wl,-Bsymbolic-functions

LN_VER := -Wl,-h -Wl,--strip-all

LN_LIBS := -l$(BOOST_LIB) -lpython$(PY_VER) -ltango

INCLUDE_DIRS =

ifdef TANGO_ROOT
LN_DIRS += -L$(TANGO_ROOT)/lib
INCLUDE_DIRS += -I$(TANGO_ROOT)/include -I$(TANGO_ROOT)/include/tango
#LN_LIBS += -ltango -lomniDynamic4 -lCOS4 -llog4tango -lzmq -lomniORB4 -lomnithread
else
LN_DIRS += `pkg-config --libs-only-L tango`
INCLUDE_DIRS += `pkg-config --cflags-only-I tango`
#LN_LIBS += `pkg-config --libs-only-l tango`
endif

ifdef LOG4TANGO_ROOT
LN_DIRS += -L$(LOG4TANGO_ROOT)/lib
INCLUDE_DIRS += -I$(LOG4TANGO_ROOT)/include
endif

ifdef OMNI_ROOT
LN_DIRS += -L$(OMNI_ROOT)/lib
INCLUDE_DIRS += -I$(OMNI_ROOT)/include
endif

ifdef BOOST_ROOT
LN_DIRS += -L$(BOOST_ROOT)/lib
endif

ifdef ZMQ_ROOT
LN_DIRS += -L$(ZMQ_ROOT)/lib
INCLUDE_DIRS += -I$(ZMQ_ROOT)/include
endif

INCLUDE_DIRS += \
    $(PY_INC) \
    $(NUMPY_INC)

QUOTE_INCLUDE_DIRS = -iquote $(SRC_DIR)

MACROS := -DNDEBUG -DPYTANGO_HAS_UNIQUE_PTR -DPYTANGO_NUMPY_VERSION=$(PYTANGO_NUMPY_VERSION)
CFLAGS := -pthread -fno-strict-aliasing -fwrapv -Wall -fPIC -g $(OPTIMIZE_CC) $(MACROS) $(TANGO_CFLAGS) $(INCLUDE_DIRS) $(QUOTE_INCLUDE_DIRS)
LNFLAGS := $(LN_DIRS) $(LN_LIBS)

LIB_NAME := _tango.so
LIB_SYMB_NAME := $(LIB_NAME).dbg

OBJS := \
$(OBJS_DIR)/api_util.o \
$(OBJS_DIR)/archive_event_info.o \
$(OBJS_DIR)/attr_conf_event_data.o \
$(OBJS_DIR)/attribute_alarm_info.o \
$(OBJS_DIR)/attribute_dimension.o \
$(OBJS_DIR)/attribute_event_info.o \
$(OBJS_DIR)/attribute_info.o \
$(OBJS_DIR)/attribute_info_ex.o \
$(OBJS_DIR)/device_pipe.o \
$(OBJS_DIR)/pipe_info.o \
$(OBJS_DIR)/attribute_proxy.o \
$(OBJS_DIR)/base_types.o \
$(OBJS_DIR)/callback.o \
$(OBJS_DIR)/change_event_info.o \
$(OBJS_DIR)/command_info.o \
$(OBJS_DIR)/connection.o \
$(OBJS_DIR)/constants.o \
$(OBJS_DIR)/database.o \
$(OBJS_DIR)/data_ready_event_data.o \
$(OBJS_DIR)/db.o \
$(OBJS_DIR)/dev_command_info.o \
$(OBJS_DIR)/dev_error.o \
$(OBJS_DIR)/device_attribute_config.o \
$(OBJS_DIR)/device_attribute.o \
$(OBJS_DIR)/device_attribute_history.o \
$(OBJS_DIR)/device_data.o \
$(OBJS_DIR)/device_data_history.o \
$(OBJS_DIR)/device_info.o \
$(OBJS_DIR)/devintr_change_event_data.o \
$(OBJS_DIR)/device_proxy.o \
$(OBJS_DIR)/enums.o \
$(OBJS_DIR)/event_data.o \
$(OBJS_DIR)/exception.o \
$(OBJS_DIR)/from_py.o \
$(OBJS_DIR)/fwdAttr.o \
$(OBJS_DIR)/group.o \
$(OBJS_DIR)/group_reply.o \
$(OBJS_DIR)/group_reply_list.o \
$(OBJS_DIR)/locker_info.o \
$(OBJS_DIR)/locking_thread.o \
$(OBJS_DIR)/periodic_event_info.o \
$(OBJS_DIR)/pipe_event_data.o \
$(OBJS_DIR)/poll_device.o \
$(OBJS_DIR)/pytango.o \
$(OBJS_DIR)/pytgutils.o \
$(OBJS_DIR)/pyutils.o \
$(OBJS_DIR)/time_val.o \
$(OBJS_DIR)/to_py.o \
$(OBJS_DIR)/version.o \
$(OBJS_DIR)/attr.o \
$(OBJS_DIR)/attribute.o \
$(OBJS_DIR)/command.o \
$(OBJS_DIR)/pipe.o \
$(OBJS_DIR)/device_class.o \
$(OBJS_DIR)/device_impl.o \
$(OBJS_DIR)/dserver.o \
$(OBJS_DIR)/encoded_attribute.o \
$(OBJS_DIR)/log4tango.o \
$(OBJS_DIR)/multi_attribute.o \
$(OBJS_DIR)/multi_class_attribute.o \
$(OBJS_DIR)/subdev.o \
$(OBJS_DIR)/tango_util.o \
$(OBJS_DIR)/user_default_attr_prop.o \
$(OBJS_DIR)/user_default_pipe_prop.o \
$(OBJS_DIR)/wattribute.o \
$(OBJS_DIR)/auto_monitor.o

INC := callback.h \
defs.h \
device_attribute.h \
exception.h \
fast_from_py.h \
from_py.h \
pytgutils.h \
pyutils.h \
tango_numpy.h \
tgutils.h \
to_py.h \
attr.h \
attribute.h \
command.h \
pipe.h \
device_class.h \
device_impl.h

LINKER=$(LN) $(OBJS) $(LN_VER)

LINK_TASK=link
ifdef optimize
LINK_TASK=link-opt
endif

OK=OK!

#-----------------------------------------------------------------

all: build

prepare: init $(PRE_C_H_O)

build: init prepare $(LINK_TASK)

init:
	@echo Using python $(PY_VER)
	@echo CFLAGS  = $(CFLAGS)
	@echo LNFLAGS = $(LNFLAGS)
	@echo -n "Preparing build directories... "
	@mkdir -p $(OBJS_DIR)
	@echo $(OK)

$(PRE_C_H_O): $(SRC_DIR)/$(PRE_C_H)
	@echo -n "Compiling pre-compiled header... "
	@$(CC) $(CFLAGS) -c $< -o $(PRE_C_H_O)
	@echo $(OK)

#
# Rule for API files
#
$(OBJS_DIR)/%.o: $(SRC_DIR)/%.cpp
	@echo -n "Compiling $(<F)... "
	@$(CC) $(CFLAGS) -c $< -o $(OBJS_DIR)/$*.o $(PRE_C)
	@echo Done!

$(OBJS_DIR)/%.o: $(SRC_DIR)/server/%.cpp
	@echo -n "Compiling $(<F)... "
	@$(CC) $(CFLAGS) -c $< -o $(OBJS_DIR)/$*.o $(PRE_C)
	@echo $(OK)

#
#	The shared libs
#

link: prepare $(OBJS)
	@echo -n "Linking shared $(LIB_NAME)... "
	@$(LINKER) -o $(OBJS_DIR)/$(LIB_NAME) $(LNFLAGS)
	@echo $(OK)

link-opt: link
	@echo Optimizing shared $(LIB_NAME)
	@echo -n "  Building separate debug file... "
	@objcopy --only-keep-debug $(OBJS_DIR)/$(LIB_NAME) $(OBJS_DIR)/$(LIB_NAME).dbg
	@echo $(OK)
	@echo -n "  Stripping $(LIB_NAME)... "
	@objcopy --strip-debug --strip-unneeded $(OBJS_DIR)/$(LIB_NAME)
	@echo $(OK)
	@echo -n "  Linking $(LIB_NAME) with debug file... "
	@objcopy --add-gnu-debuglink=$(OBJS_DIR)/$(LIB_NAME).dbg $(OBJS_DIR)/$(LIB_NAME)
	@echo $(OK)

clean:
	@echo -n Cleaning ...
	@rm -f $(OBJS_DIR)/*.o
	@echo $(OK)

clean-all:
	@echo -n Cleaning all...
	@rm -rf $(OBJS_DIR)
	@echo $(OK)

install-py:
	@echo -n "Installing python files into $(prefix)/tango... "
	@mkdir -p $(prefix)/tango
	@rsync -r tango/ $(prefix)/tango/
	@rsync PyTango.py $(prefix)/
	@echo $(OK)

install-lib:
	@echo -n "Installing binary files into $(prefix)/tango... "
	@rsync $(OBJS_DIR)/$(LIB_NAME) $(prefix)/tango
	@echo $(OK)

install-all: install-py install-lib

install: build install-all

=== examples/interfacechangeEvents/Makefile ===
#=============================================================================
#
# file :        Makefile
#
# description : Makefile to generate a TANGO device server.
#
# project :     IfchangeServer
#
# $Author:  $
#
# $Revision:  $
# $Date:  $
#
#=============================================================================
#                This file is generated by POGO
#        (Program Obviously used to Generate tango Object)
#=============================================================================
#
#
#=============================================================================
# MAKE_ENV is the path to find common environment to buil project
#
MAKE_ENV = /usr/local/share/pogo/preferences

#=============================================================================
# PACKAGE_NAME is the name of the library/device/exe you want to build
#
PACKAGE_NAME = IfchangeServer
MAJOR_VERS   = 1
MINOR_VERS   = 0
RELEASE      = Release_$(MAJOR_VERS)_$(MINOR_VERS)

# #=============================================================================
# # RELEASE_TYPE
# # - DEBUG     : debug symbols - no optimization
# # - OPTIMIZED : no debug symbols - optimization level set to O2
# #-----------------------------------------------------------------------------
RELEASE_TYPE = DEBUG

#=============================================================================
# OUTPUT_TYPE can be one of the following :
#   - 'STATIC_LIB' for a static library (.a)
#   - 'SHARED_LIB' for a dynamic library (.so)
#   - 'DEVICE' for a device server (will automatically include and link
#            with Tango dependencies)
#   - 'SIMPLE_EXE' for an executable with no dependency (for exemple the test tool
#                of a library with no Tango dependencies)
#
OUTPUT_TYPE = DEVICE

#=============================================================================
# OUTPUT_DIR  is the directory which contains the build result.
# if not set, the standard location is :
#	- ./shlib if OUTPUT_TYPE is SHARED_LIB
#	- ./lib   if OUTPUT_TYPE is STATIC_LIB
#	- ./bin for others
#
#OUTPUT_DIR =


#=============================================================================
# INC_DIR_USER is the list of all include path needed by your sources
#   - for a device server, tango dependencies are automatically appended
#   - '-I ../include' and '-I .' are automatically appended in all cases
#
INC_DIR_USER= -I . 

#=============================================================================
# LIB_DIR_USER is the list of user library directories
#   - for a device server, tango libraries directories are automatically appended
#   - '-L ../lib' is automatically appended in all cases
#
LIB_DIR_USER=

#=============================================================================
# LFLAGS_USR is the list of user link flags
#   - for a device server, tango libraries directories are automatically appended
#   - '-ldl -lpthread' is automatically appended in all cases
#
# !!! ATTENTION !!!
# Be aware that the order matters. 
# For example if you must link with libA, and if libA depends itself on libB
# you must use '-lA -lB' in this order as link flags, otherwise you will get
# 'undefined reference' errors
#
#LFLAGS_USR+=


#=============================================================================
# CXXFLAGS_USR lists the compilation flags specific for your library/device/exe
# This is the place where to put your compile-time macros using '-Dmy_macro'
#
# -DACE_HAS_EXCEPTIONS -D__ACE_INLINE__ for ACE
#
#CXXFLAGS_USR+= -Wall


#=============================================================================
# TANGO_REQUIRED 
# - TRUE  : your project depends on TANGO
# - FALSE : your project does not depend on TANGO
#-----------------------------------------------------------------------------
# - NOTE : if PROJECT_TYPE is set to DEVICE, TANGO will be auto. added
#-----------------------------------------------------------------------------  
TANGO_REQUIRED = TRUE



#=============================================================================
#	include Standard TANGO compilation options
#
include $(MAKE_ENV)/tango.opt

#=============================================================================
#	POST_PROCESSING: action to be done after normal make.
#	e.g.:  change executable file name, .....
#POST_PROCESSING = \
#	mv bin/$(BIN_DIR)/$(PACKAGE_NAME) bin/$(BIN_DIR)/$(PACKAGE_NAME)_DS

#=============================================================================
# SVC_OBJS is the list of all objects needed to make the output
#
SVC_INCL =  $(PACKAGE_NAME).h $(PACKAGE_NAME)Class.h 


SVC_OBJS =      \
		$(LIB_OBJS) \
		$(OBJDIR)/ClassFactory.o  \
        $(OBJDIR)/main.o

LIB_OBJS = \
        $(OBJDIR)/$(PACKAGE_NAME).o \
        $(OBJDIR)/$(PACKAGE_NAME)Class.o \
        $(OBJDIR)/$(PACKAGE_NAME)StateMachine.o \
		$(OBJDIR)/$(PACKAGE_NAME)DynAttrUtils.o \
        $(ADDITIONAL_OBJS) 

SVC_INHERITANCE_OBJ =  \


#=============================================================================
#	include common targets
#
include $(MAKE_ENV)/common_target.opt

=== debian/changelog ===
pytango (9.2.2-1build1) bionic; urgency=medium

  * No-change rebuild for omniorb soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 07 Feb 2018 11:38:07 +0000

pytango (9.2.2-1) unstable; urgency=medium

  [ Bodo-Merle Sandor ]
  * New upstream version 9.2.2
  * Bump Standards-Version to 4.1.0 (extra -> optional)
  * debian/control
    - wrap-and-sort -st
  * debian/copyright
    - Switched source URL to https
  * debian/rules
    - Built the documentation with python3
    - Install examples
  * debian/patch
    - drop 0001-Use-loose-version-instead-of-strict-version-for-comp.patch

  [ Picca Frédéric-Emmanuel ]
  * debian/control
    - add nodoc profile dependencies
    - Added: python-sphinx, sphinx-common
  * debian/patches
    - Added 0002-deal-with-sphinx-only-via-the-debian-rules.patch
  * debian/rules
    - Reworked in order to support nodoc
    - dh_sphinxdoc is now mandatory.
    - Build the documentation also with python.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 29 Oct 2017 08:22:04 +0100

=== debian/control ===
Source: pytango
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>,
           Sandor Bodo-Merle <sbodomerle@gmail.com>
Section: science
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-python,
               graphviz <!nodoc>,
               libboost-python-dev,
               libtango-dev,
               pkg-config,
               python-all-dev,
               python-concurrent.futures <!nodoc>,
               python-gevent <!nodoc>,
               python-numpy,
               python-setuptools,
               python-six,
               python-sphinx <!nodoc>,
               python3-all-dev,
               python3-gevent <!nodoc>,
               python3-numpy,
               python3-setuptools,
               python3-six,
               python3-sphinx <!nodoc>,
               sphinx-common
Standards-Version: 4.1.0
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/pytango.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/pytango.git
Homepage: http://www.tango-controls.org/static/PyTango/latest/doc/html/
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-pytango
Architecture: any
Section: oldlibs
Depends: python-tango, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: transitional dummy package for python-tango
 This is a transitional package to ease upgrades to the
 python-tango package. It can be safely removed.

Package: python-tango
Architecture: any
Section: python
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Provides: ${python:Provides}
Description: API for the TANGO control system (Python 2)
 TANGO is an object oriented distributed control system using CORBA,
 mainly developed by the Controls Section of the ALBA Synchrotron.
 PyTango provides bindings for its client- and server-side C++ APIs.
 With PyTango, you can write TANGO device servers and TANGO applications
 (scripts, CLIs, GUIs) that access TANGO device servers in pure Python.
 .
 This is the Python 2 version of the package.

Package: python3-pytango
Architecture: any
Section: oldlibs
Depends: python3-tango, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: transitional dummy package for python3-tango
 This is a transitional package to ease upgrades to the
 python3-tango package. It can be safely removed.

Package: python3-tango
Architecture: any
Section: python
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Provides: ${python3:Provides}
Description: API for the TANGO control system (Python 3)
 TANGO is an object oriented distributed control system using CORBA,
 mainly developed by the Controls Section of the ALBA Synchrotron.
 PyTango provides bindings for its client- and server-side C++ APIs.
 With PyTango, you can write TANGO device servers and TANGO applications
 (scripts, CLIs, GUIs) that access TANGO device servers in pure Python.
 .
 This is the Python 3 version of the package.

Package: python-tango-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Replaces: python-pytango-doc (<< 9.2.0-2~)
Breaks: python-pytango-doc (<< 9.2.0-2~)
Description: API for the TANGO control system
 TANGO is an object oriented distributed control system using CORBA,
 mainly developed by the Controls Section of the ALBA Synchrotron.
 PyTango provides bindings for its client- and server-side C++ APIs.
 With PyTango, you can write TANGO device servers and TANGO applications
 (scripts, CLIs, GUIs) that access TANGO device servers in pure Python.
 .
 This package contains the documentation for the python-tango library.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=tango
export PYBUILD_AFTER_INSTALL=dh_numpy ; dh_numpy3

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild


override_dh_auto_clean:
	dh_auto_clean
	rm -rf build
	rm -rf *.egg-info
	rm -rf build

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYBUILD_SYSTEM=custom \
	PYBUILD_BUILD_ARGS="PYTHONPATH={build_dir} {interpreter} -m sphinx -N -bhtml doc build/html" dh_auto_build  # HTML generator
	dh_installdocs "build/html" -p python-tango-doc
	dh_installdocs "examples" -p python-tango-doc
	dh_sphinxdoc -O--buildsystem=pybuild
endif

## pytango 9.2.4

=== debian/changelog ===
pytango (9.2.4-2ubuntu1) cosmic; urgency=medium

  * d/patches/boost_lib_name.patch: add to fix ftbfs caused by libboost-python
    soname change. 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 10 Aug 2018 15:40:54 +1200

pytango (9.2.4-2) unstable; urgency=medium

  [ Bodo-Merle Sandor ]
  * Build depend on python-enum34

 -- Sandor Bodo-Merle <sbodomerle@gmail.com>  Tue, 31 Jul 2018 21:04:55 +0200

pytango (9.2.4-1) unstable; urgency=medium

  [ Bodo-Merle Sandor ]
  * New upstream version 9.2.4
    - Python 3.7 compatibility (Closes: #904298)
  * Update Standards-Version to 4.1.5 (no changes required)
  * Depend on python-mock for generating the docs

 -- Sandor Bodo-Merle <sbodomerle@gmail.com>  Mon, 30 Jul 2018 19:20:08 +0200

pytango (9.2.3-1) unstable; urgency=medium

  [ Bodo-Merle Sandor ]
  * New upstream version 9.2.3
  * debian/patches
    - Refresh patch 0002-Use-jquery-from-the-archive
  * debian/control
    - cme fix dpkg
    - Rules-Requires-Root: no
    - depend on sphinx_rtd_theme
    - remove outdated X-Python{,3}-Version fields
  * debian/watch
    - update regexp; switch to https

 -- Sandor Bodo-Merle <sbodomerle@gmail.com>  Sat, 02 Jun 2018 16:25:59 +0200

=== debian/control ===
--- 
+++ 
@@ -12,29 +12,34 @@
                pkg-config,
                python-all-dev,
                python-concurrent.futures <!nodoc>,
+               python-enum34,
                python-gevent <!nodoc>,
+               python-mock <!nodoc>,
                python-numpy,
                python-setuptools,
                python-six,
                python-sphinx <!nodoc>,
+               python-sphinx-rtd-theme <!nodoc>,
                python3-all-dev,
                python3-gevent <!nodoc>,
+               python3-mock <!nodoc>,
                python3-numpy,
                python3-setuptools,
                python3-six,
                python3-sphinx <!nodoc>,
+               python3-sphinx-rtd-theme <!nodoc>,
                sphinx-common
-Standards-Version: 4.1.0
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/pytango.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/pytango.git
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/science-team/pytango
+Vcs-Git: https://salsa.debian.org/science-team/pytango.git
 Homepage: http://www.tango-controls.org/static/PyTango/latest/doc/html/
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
+Rules-Requires-Root: no
 
 Package: python-pytango
 Architecture: any
 Section: oldlibs
-Depends: python-tango, ${misc:Depends}
+Depends: python-tango,
+         ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: transitional dummy package for python-tango
  This is a transitional package to ease upgrades to the
@@ -43,7 +48,9 @@
 Package: python-tango
 Architecture: any
 Section: python
-Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${python:Depends},
+         ${shlibs:Depends}
 Provides: ${python:Provides}
 Description: API for the TANGO control system (Python 2)
  TANGO is an object oriented distributed control system using CORBA,
@@ -57,7 +64,8 @@
 Package: python3-pytango
 Architecture: any
 Section: oldlibs
-Depends: python3-tango, ${misc:Depends}
+Depends: python3-tango,
+         ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: transitional dummy package for python3-tango
  This is a transitional package to ease upgrades to the
@@ -66,7 +74,9 @@
 Package: python3-tango
 Architecture: any
 Section: python
-Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends}
 Provides: ${python3:Provides}
 Description: API for the TANGO control system (Python 3)
  TANGO is an object oriented distributed control system using CORBA,
@@ -80,9 +90,10 @@
 Package: python-tango-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: ${misc:Depends},
+         ${sphinxdoc:Depends}
+Breaks: python-pytango-doc (<< 9.2.0-2~)
 Replaces: python-pytango-doc (<< 9.2.0-2~)
-Breaks: python-pytango-doc (<< 9.2.0-2~)
 Description: API for the TANGO control system
  TANGO is an object oriented distributed control system using CORBA,
  mainly developed by the Controls Section of the ALBA Synchrotron.

## pytango 9.2.5

=== debian/changelog ===
pytango (9.2.5-1) unstable; urgency=medium

  [ Bodo-Merle Sandor ]
  * New upstream version 9.2.5
  * Depend on python-enum34
  * Update standars version to 4.2.1 (no changes required)
  * Fix linking with boost (Closes: #914140)

 -- Sandor Bodo-Merle <sbodomerle@gmail.com>  Thu, 29 Nov 2018 18:16:07 +0100

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
                sphinx-common
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/science-team/pytango
 Vcs-Git: https://salsa.debian.org/science-team/pytango.git
 Homepage: http://www.tango-controls.org/static/PyTango/latest/doc/html/
@@ -50,7 +50,8 @@
 Section: python
 Depends: ${misc:Depends},
          ${python:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
+         python-enum34
 Provides: ${python:Provides}
 Description: API for the TANGO control system (Python 2)
  TANGO is an object oriented distributed control system using CORBA,

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/PyTango/pytango-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pytango 9.3.0

=== debian/changelog ===
pytango (9.3.0-4build2) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:22:26 +0100

pytango (9.3.0-4build1) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 21:24:21 +0000

pytango (9.3.0-4) unstable; urgency=medium

  [ Helmut Grohne ]
  * Demote documentation dependencies to B-D-I. (Closes: #946135)

 -- Sandor Bodo-Merle <sbodomerle@gmail.com>  Wed, 04 Dec 2019 19:03:53 +0100

pytango (9.3.0-3) unstable; urgency=medium

  [ Bodo-Merle Sandor ]
  * Bump debhelper compatibility level to 12
  * Build-depend on python3-distro

 -- Sandor Bodo-Merle <sbodomerle@gmail.com>  Fri, 22 Nov 2019 18:08:43 +0100

pytango (9.3.0-2) unstable; urgency=medium

  [ Bodo-Merle Sandor ]
  * control: update homepage
  * control: update standars version to 4.4.1 (no changes required)
  * Apply NMU patch by Sandro Tosi <morph@debian.org> to
     - Drop python2 support; Closes: #937556
  * ack NMU

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 19 Oct 2019 20:06:13 +0200

pytango (9.3.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #937556

 -- Sandro Tosi <morph@debian.org>  Thu, 17 Oct 2019 19:00:57 -0400

pytango (9.3.0-1) unstable; urgency=medium

  [ Picca Frédéric-Emmanuel ]
  * Use debhelper-compat instead of debian/compat.
  * use the latest salsa.ci.yml file

  [ Bodo-Merle Sandor ]
  * Upgrade standards version to 4.4.0
  * update watch file
  * New upstream version 9.3.0
  * drop transitional package python-pytango (Closes: #940763)
  * drop transitional package python3-pytango (Closes: #940764)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 28 Sep 2019 20:18:02 +0200

=== debian/control ===
Source: pytango
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>,
           Sandor Bodo-Merle <sbodomerle@gmail.com>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               libboost-python-dev,
               libtango-dev,
               pkg-config,
               python3-all-dev,
               python3-distro,
               python3-numpy,
               python3-setuptools,
               python3-six,
               sphinx-common
Build-Depends-Indep:
               graphviz,
               python3-gevent,
               python3-mock,
               python3-sphinx,
               python3-sphinx-rtd-theme,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/science-team/pytango
Vcs-Git: https://salsa.debian.org/science-team/pytango.git
Homepage: https://pytango.readthedocs.io/en/latest/
Rules-Requires-Root: no

Package: python3-tango
Architecture: any
Section: python
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Provides: ${python3:Provides}
Description: API for the TANGO control system (Python 3)
 TANGO is an object oriented distributed control system using CORBA,
 mainly developed by the Controls Section of the ALBA Synchrotron.
 PyTango provides bindings for its client- and server-side C++ APIs.
 With PyTango, you can write TANGO device servers and TANGO applications
 (scripts, CLIs, GUIs) that access TANGO device servers in pure Python.
 .
 This is the Python 3 version of the package.

Package: python-tango-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Breaks: python-pytango-doc (<< 9.2.0-2~)
Replaces: python-pytango-doc (<< 9.2.0-2~)
Description: API for the TANGO control system
 TANGO is an object oriented distributed control system using CORBA,
 mainly developed by the Controls Section of the ALBA Synchrotron.
 PyTango provides bindings for its client- and server-side C++ APIs.
 With PyTango, you can write TANGO device servers and TANGO applications
 (scripts, CLIs, GUIs) that access TANGO device servers in pure Python.
 .
 This package contains the documentation for the python-tango library.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=tango
export PYBUILD_AFTER_INSTALL=dh_numpy3

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild


override_dh_auto_clean:
	dh_auto_clean
	rm -rf build
	rm -rf *.egg-info
	rm -rf build

override_dh_sphinxdoc-arch:
override_dh_sphinxdoc-indep:
	PYBUILD_SYSTEM=custom \
	PYBUILD_BUILD_ARGS="PYTHONPATH={build_dir} {interpreter} -m sphinx -N -bhtml doc build/html" dh_auto_build  # HTML generator
	dh_installdocs "build/html" -p python-tango-doc
	dh_installdocs "examples" -p python-tango-doc
	dh_sphinxdoc -O--buildsystem=pybuild

## pytango 9.3.2

=== debian/changelog ===
pytango (9.3.2-1) unstable; urgency=medium

  * control: update standars version to 4.5.1 (no changes required)
  * New upstream version 9.3.2
    - Drop 0001-fix-boost-linking.patch; obsolete
    - Drop 0005-fix-distro-import.patch; obsolete
    - refresh and renumber patches

 -- Sandor Bodo-Merle <sbodomerle@gmail.com>  Mon, 07 Dec 2020 18:26:11 +0100

pytango (9.3.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Fix day-of-week for changelog entry 7.2.3-1.
  * Update standards version to 4.5.0, no changes needed.

  [ Sandor Bodo-Merle ]
  * New upstream version 9.3.1
  * Update patch for boost linking
  * Bump debhelper compatibility level to 13

 -- Sandor Bodo-Merle <sbodomerle@gmail.com>  Fri, 11 Sep 2020 16:44:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: pytango
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>,
            Sandor Bodo-Merle <sbodomerle@gmail.com>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                libboost-python-dev,
                libtango-dev,
@@ -22,7 +21,7 @@
                python3-mock,
                python3-sphinx,
                python3-sphinx-rtd-theme,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/science-team/pytango
 Vcs-Git: https://salsa.debian.org/science-team/pytango.git
 Homepage: https://pytango.readthedocs.io/en/latest/

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pytango/pytango-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pytango 9.3.3

=== Makefile ===
--- 
+++ 
@@ -87,7 +87,12 @@
 
 TANGO_CFLAGS=`pkg-config --cflags-only-other tango`
 TANGO_LIBS=`pkg-config --libs-only-l tango`
+
+ifdef CONDA_PREFIX
+BOOST_LIB = boost_python
+else
 BOOST_LIB = boost_python-py$(PY_VER_S)
+endif
 
 PRE_C_H := precompiled_header.hpp
 PRE_C_H_O := $(OBJS_DIR)/$(PRE_C_H).gch
@@ -98,7 +103,7 @@
 
 LN_VER := -Wl,-h -Wl,--strip-all
 
-LN_LIBS := -l$(BOOST_LIB) -lpython$(PY_VER) -ltango
+LN_LIBS := -l$(BOOST_LIB) -ltango
 
 INCLUDE_DIRS =

=== debian/changelog ===
pytango (9.3.3-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 21:44:26 +0000

pytango (9.3.3-1) unstable; urgency=medium

  [ Sandor Bodo-Merle ]
  * debian/control
    - drop python3-distro from build-depend
  * Fix syntax warning during package install. (Closes: #985007)
  * New upstream version 9.3.3 (Closes: #989981)
  * Update upstream metadata (github => gitlab).
  * Update watch file version.

  [ Picca Frédéric-Emmanuel ]
  * d/control: Used dh-sequence-[numpy3,python3,sphinxdoc]
  * r/rules: Simplifyed thanks to dh-sequence-X

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 05 Sep 2021 21:55:22 +0200

=== debian/control ===
--- 
+++ 
@@ -6,21 +6,23 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               dh-sequence-numpy3,
+               dh-sequence-python3,
                libboost-python-dev,
                libtango-dev,
                pkg-config,
                python3-all-dev,
-               python3-distro,
                python3-numpy,
                python3-setuptools,
                python3-six,
                sphinx-common
 Build-Depends-Indep:
-               graphviz,
-               python3-gevent,
-               python3-mock,
-               python3-sphinx,
-               python3-sphinx-rtd-theme,
+               dh-sequence-sphinxdoc <!nodoc>,
+               graphviz <!nodoc>,
+               python3-gevent <!nodoc>,
+               python3-mock <!nodoc>,
+               python3-sphinx <!nodoc>,
+               python3-sphinx-rtd-theme <!nodoc>,
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/science-team/pytango
 Vcs-Git: https://salsa.debian.org/science-team/pytango.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=tango

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_clean:
	rm -rf build
	rm -rf *.egg-info
	rm -rf build

execute_after_dh_auto_build-indep:
	dh_auto_build -- -s custom --build-args="PYTHONPATH={build_dir} {interpreter} -m sphinx -N -bhtml doc build/html"

execute_after_dh_installdocs-indep:
	dh_installdocs -p python-tango-doc "build/html"
	dh_installdocs -p python-tango-doc "examples"
